Package com.xebialabs.xlrelease.events

# Class GlobalVariableUpdateOperation$

java.lang.Object
scala.runtime.AbstractFunction3<Variable,Variable,String,GlobalVariableUpdateOperation>
com.xebialabs.xlrelease.events.GlobalVariableUpdateOperation$

All Implemented Interfaces:
  `Serializable`, `scala.Function3<Variable,Variable,String,GlobalVariableUpdateOperation>`

public class GlobalVariableUpdateOperation$ extends scala.runtime.AbstractFunction3<Variable,Variable,String,GlobalVariableUpdateOperation> implements Serializable

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final GlobalVariableUpdateOperation$`
  `MODULE$`
  Static reference to the singleton instance of this Scala object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GlobalVariableUpdateOperation$()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GlobalVariableUpdateOperation`
  `apply(Variable original, Variable updated, String taskId)`
  `final String`
  `toString()`
  `scala.Option<scala.Tuple3<Variable,Variable,String>>`
  `unapply(GlobalVariableUpdateOperation x$0)`

  ### Methods inherited from class scala.runtime.AbstractFunction3

  `curried, tupled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### MODULE$

    public static final GlobalVariableUpdateOperation$ MODULE$
    Static reference to the singleton instance of this Scala object.

- ## Constructor Details

  - ### GlobalVariableUpdateOperation$

    public GlobalVariableUpdateOperation$()

- ## Method Details

  - ### toString

    public final String toString()
    Specified by:
      `toString` in interface `scala.Function3<Variable,Variable,String,GlobalVariableUpdateOperation>`
    Overrides:
      `toString` in class `scala.runtime.AbstractFunction3<Variable,Variable,String,GlobalVariableUpdateOperation>`

  - ### apply

    public GlobalVariableUpdateOperation apply(Variable original, Variable updated, String taskId)
    Specified by:
      `apply` in interface `scala.Function3<Variable,Variable,String,GlobalVariableUpdateOperation>`

  - ### unapply

    public scala.Option<scala.Tuple3<Variable,Variable,String>> unapply(GlobalVariableUpdateOperation x$0)